# ai_vehicle.cpp File Reference

Implementation of AIVehicle. More...

`#include "ai_engine.hpp"`
`#include "ai_cargo.hpp"`
`#include "ai_gamesettings.hpp"`
`#include "ai_group.hpp"`
`#include "../ai_instance.hpp"`
`#include "../../company_func.h"`
`#include "../../aircraft.h"`
`#include "../../string_func.h"`
`#include "../../strings_func.h"`
`#include "../../command_func.h"`
`#include "../../roadveh.h"`
`#include "../../train.h"`
`#include "../../vehicle_func.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Detailed Description

Implementation of AIVehicle.

Definition in file ai_vehicle.cpp.